Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat
Class NEATNeuron

    java.lang.Object
      org.encog.neural.neat.NEATNeuron

All Implemented Interfaces:
  Serializable

    public class NEATNeuron

extends Object
implements Serializable

Implements a NEAT neuron. Neat neurons are of a specific type, defined by the NEATNeuronType enum. Usually NEAT uses a sigmoid activation function. The activation response is used to allow the slope of the sigmoid to be evolved. NeuroEvolution of Augmenting Topologies (NEAT) is a genetic algorithm for the generation of evolving artificial neural networks. It was developed by Ken Stanley while at The University of Texas at Austin. http://www.cs.ucf.edu/~kstanley/

See Also:
  Serialized Form

Field Summary
`static String` | `ACTIVATION_RESPONSE`
`static String` | `NEURON_ID`

Constructor Summary
`NEATNeuron()` Default constructor, used for persistance.
`NEATNeuron(NEATNeuronType neuronType, long neuronID, double splitY, double splitX, double activationResponse)` Construct a NEAT neuron.

Method Summary
`double` | `getActivationResponse()`
`List<NEATLink>` | `getInboundLinks()`
`long` | `getNeuronID()`
`NEATNeuronType` | `getNeuronType()`
`double` | `getOutput()`
`List<NEATLink>` | `getOutputboundLinks()`
`int` | `getPosX()`
`int` | `getPosY()`
`double` | `getSplitX()`
`double` | `getSplitY()`
`double` | `getSumActivation()`
`static String` | `neuronType2String(NEATNeuronType t)`
`void` | `setOutput(double output)` Set the output.
`static NEATNeuronType` | `string2NeuronType(String t)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NEURON_ID

    public static final String NEURON_ID

See Also:
  Constant Field Values

### ACTIVATION_RESPONSE

    public static final String ACTIVATION_RESPONSE

See Also:
  Constant Field Values

Constructor Detail

### NEATNeuron

    public NEATNeuron()

  Default constructor, used for persistance.

### NEATNeuron

    public NEATNeuron(NEATNeuronType neuronType,
                      long neuronID,
                      double splitY,
                      double splitX,
                      double activationResponse)

  Construct a NEAT neuron.

  Parameters:
    `neuronType` - The type of neuron.
    `neuronID` - The id of the neuron.
    `splitY` - The split for y.
    `splitX` - THe split for x.
    `activationResponse` - The activation response.

Method Detail

### getActivationResponse

    public double getActivationResponse()

  Returns:
    the activation response.

### getInboundLinks

    public List<NEATLink> getInboundLinks()

  Returns:
    the inbound links.

### getNeuronID

    public long getNeuronID()

  Returns:
    The neuron id.

### getNeuronType

    public NEATNeuronType getNeuronType()

  Returns:
    the neuron type.

### getOutput

    public double getOutput()

  Returns:
    The output from this neuron.

### getOutputboundLinks

    public List<NEATLink> getOutputboundLinks()

  Returns:
    The outbound links.

### getPosX

    public int getPosX()

  Returns:
    The x position.

### getPosY

    public int getPosY()

  Returns:
    The y position.

### getSplitX

    public double getSplitX()

  Returns:
    The split x.

### getSplitY

    public double getSplitY()

  Returns:
    The split y.

### getSumActivation

    public double getSumActivation()

  Returns:
    The sum activation.

### setOutput

    public void setOutput(double output)

  Set the output.

  Parameters:
    `output` - The output of the neuron.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### string2NeuronType

    public static NEATNeuronType string2NeuronType(String t)

### neuronType2String

    public static String neuronType2String(NEATNeuronType t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.